ubuntu中安装python编辑器ulipad

由于在windows中使用ulipad一段时间了,尤其对于python代码的编辑功能,我觉得目前还没有一款别的编辑器能与之媲美(当然ulipad也有美中不足的地方)。下面介绍一下在linux下ulipad的安装,由于没有像windows下那样的exe安装文件,所以uinux下安装ulipad只能是下载ulipad的源码,进行编译安装。下面讲讲我在ubuntu中的安装步骤:

一 . 安装wxpython。

由于ulipad的界面是用wxpython写的,所以要先安装wxpython,而且是2.8版本以上的。

安装wxpython的方法,这里简单说下步骤。

1 .the packages and the repository meta-data are digitally signed, so you’ll need to import the key

into your apt’s list of trusted keys in order to not get warnings about it.

$ curl http://apt.wxwidgets.org/key.asc | sudo apt-key add – 如果没有任何信息打印出来,则说明目前linux里面没有关于wxpython的源,需要我们手动添加源,方法如下:

2. add the following lines to your /etc/apt/sources.list file (or use the “software sources”

program under the “system” menu). replace the “dist” text with whatever is appropriate for

your system.

(see the table below for a list of supported distributions and architectures.)

(把下面的内容添加到你的sources.list文件里,这里要详细说明一下,dist是指的你的linux的发行版本,详细的版本查询可以通过上面我们给的连接,打开后,页面下面有个表,列出了ubuntu的一些发行版本信息,比如下面的例子里,是gutsy,指的是ubuntu7.10)

# wxwidgets/wxpython repository at apt.wxwidgets.org

deb http://apt.wxwidgets.org/ dist-wx main

deb-src http://apt.wxwidgets.org/ dist-wx main

for example, if your distro is ubuntu gutsy, then you would use the following configuration

statements:

# wxwidgets/wxpython repository at apt.wxwidgets.org

deb http://apt.wxwidgets.org/ gutsy-wx main

deb-src http://apt.wxwidgets.org/ gutsy-wx main

我的ubuntu是8.10,查那个表可以知道dist name是intrepid,就可以把dist 改为intrepid,注

意与前面的/之间空一个空格 ,其实这个dist name有个简单的方法能得到,就是在shell里输

入命令: cat /etc/*-release

xiaopeng@ubuntu:~$ cat /etc/*-release

distrib_ubuntu 8.10″

上面是我的结果,可以知道dist name是intrepid